Subject: bug#32021: closed (Re: bug#32021: hexl-follow-ascii-mode is not initialized)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Jun 2018 18:01:02 +0000

Your bug report

#32021: hexl-follow-ascii-mode is not initialized

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32021: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32021
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32021: hexl-follow-ascii-mode is not initialized
From: Eli Zaretskii <[email-masked]>
To: "Shuguang" <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Jun 2018 21:00:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Shuguang" <[email-masked]>
> Date: Sun, 1 Jul 2018 01:07:47 +0800
> 
> Windows 7
> Emacs git master/2018.6.24 at least
> 
> When I try to toggle hexl-mode, it reports
> "defvar: Symbol's value as variable is void: hexl-follow-ascii-mode".

Thanks, fixed.

> It looks like the definiation of hexl-follow-ascii-mode is incorect.

No, it was a typo in hexl-follow-ascii-mode.

Subject: hexl-follow-ascii-mode is not initialized
From: "Shuguang" <[email-masked]>
To: "bug-gnu-emacs" <[email-masked]>
Date: Sun, 1 Jul 2018 01:07:47 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Windows 7
Emacs git master/2018.6.24 at least

When I try to toggle hexl-mode, it reports
"defvar: Symbol's value as variable is void: hexl-follow-ascii-mode".

It looks like the definiation of hexl-follow-ascii-mode is incorect.

From the doc of define-minor-mode, it requires INIT-VALUE LIGHTER KEYMAP or at least one keyword argument. 

According to the DOC of hexl-follow-ascii-mode, I think the following patch should be proper.

diff --git a/lisp/hexl.el b/lisp/hexl.el
index f37be9d410..6b316dd707 100644
--- a/lisp/hexl.el
+++ b/lisp/hexl.el
@@ -1000,6 +1000,7 @@ hexl-follow-ascii-mode
 When following is enabled, the ASCII character corresponding to the
 element under the point is highlighted.
 The default activation is controlled by `hexl-follow-ascii'."
+  :init-value hexl-follow-ascii
   (if hexl-follow-ascii-mode
       ;; turn it on
       (progn

Best Regards,
Shuguang Sun